<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2017 Coppermine Dev Team
  v1.0 originally written by Gregory Demar

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.

  ********************************************
  Coppermine version: 1.6.x
**********************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

// Add plugin upload filter
$thisplugin->add_filter('upload_options', 'urlupload_add_upload_option');

function urlupload_add_upload_option ($upload_choices)
{
    return array_merge($upload_choices, array('url_upload' => 'URL Upload'));
}

// Add plugin upload action (display/upload)
$thisplugin->add_action('upload_form', 'url_display_upload_form');

function url_display_upload_form ($upload_settings)
{
    global $superCage, $lang_errors, $lang_plugin_url_upload, $lang_db_input_php, $lang_plugin_upload, $CURRENT_PIC_DATA;

    require_once './plugins/url_upload/upload.inc.php';

    list($upload_form, $upload_select) = $upload_settings;
    if ($upload_form != 'url_upload') {
        return $upload_settings;
    }

    set_js_var('sel_album', $lang_plugin_upload['albmSelMsg']);
    set_js_var('ntr_url', $lang_plugin_url_upload['no-url']);
    js_include('plugins/url_upload/urlup.js');

    pageHeader($lang_plugin_url_upload['title'], '<style type="text/css">.textinput {width:100%;box-sizing:border-box}</style>');

    if ($superCage->post->keyExists('control')) {
        //var_dump($superCage->post->_source);
        if (!checkFormToken()) {
            cpg_die(ERROR, $lang_errors['invalid_form_token'], __FILE__, __LINE__);
        }
        $error = '';
        $album = $superCage->post->getInt('url_album');
        $title = $superCage->post->getEscaped('title');
        $caption = $superCage->post->getEscaped('caption');
        $keywords = $superCage->post->getEscaped('keywords');
        $user1 = $superCage->post->getEscaped('user1');                         // gmc - add user fields to plugin
        $user2 = $superCage->post->getEscaped('user2');                         // gmc - add user fields to plugin
        $user3 = $superCage->post->getEscaped('user3');                         // gmc - add user fields to plugin
        $user4 = $superCage->post->getEscaped('user4');                         // gmc - add user fields to plugin

        $urlg = new URL_Getter($superCage->post->_source['URI']);
        $error = '';
        if ($urlg->allowed($error)) {
            $urlg->upload($album, $title, $caption, $keywords, $error);
        }
        //echo '<pre>';var_dump($urlg);echo'</pre>';
        if ($error) {
            if ((strlen($error)<10) && isset($lang_plugin_url_upload[$error])) $error = $lang_plugin_url_upload[$error];
            theme_msg_box('Error: ', $error, 'cpg_message_warning', '', '');
            printUploadForm($upload_select, $superCage->post->_source);
        } else {
            if (cpg_pw_protected_album_access($album) === 1) {
                $redirect = "thumbnails.php?album=" . $CURRENT_PIC_DATA['aid'];
            } else {
                $redirect = "displayimage.php?pid=" . $CURRENT_PIC_DATA['pid'];
            }
            cpgRedirectPage($redirect, $lang_common['information'], $lang_db_input_php['upl_success'], 1);
        }
    } else {
        printUploadForm($upload_select);
    }
}


// Add an install action
$thisplugin->add_action('plugin_install', 'urlupload_install');

function urlupload_install ()
{
    return true;
}